import { Brush } from "igniteui-angular-core";
import { XYChart } from "./XYChart";
import { DomWrapper } from "igniteui-angular-core";
import { EventArgs, IList, Type } from "igniteui-angular-core";
import { IZoomSlider } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { DataSeriesType } from "igniteui-angular-core";
import { IDataSeriesAdapterRule } from "igniteui-angular-core";
import { XamDataChart } from "./XamDataChart";
import { FinancialChartVolumeType } from "./FinancialChartVolumeType";
import { FinancialChartXAxisMode } from "./FinancialChartXAxisMode";
import { FinancialChartYAxisMode } from "./FinancialChartYAxisMode";
import { FinancialChartType } from "./FinancialChartType";
import { HorizontalAlignment } from "igniteui-angular-core";
import { FinancialIndicatorTypeCollection } from "./FinancialIndicatorTypeCollection";
import { FinancialOverlayTypeCollection } from "./FinancialOverlayTypeCollection";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { FinancialChartZoomSliderType } from "./FinancialChartZoomSliderType";
import { BrushCollection } from "igniteui-angular-core";
import { IndicatorDisplayTypeCollection } from "./IndicatorDisplayTypeCollection";
import { FinancialChartRangeSelectorOptionCollection } from "./FinancialChartRangeSelectorOptionCollection";
import { CustomIndicatorNameCollection } from "./CustomIndicatorNameCollection";
import { IChartLegend } from "igniteui-angular-core";
import { ObservableCollection$1 } from "igniteui-angular-core";
import { TemplatedHtmlControl } from "./TemplatedHtmlControl";
import { FinancialChartContext } from "./FinancialChartContext";
import { FinancialChartToolbarContext } from "./FinancialChartToolbarContext";
import { FinancialChartToolbarViewModel } from "./FinancialChartToolbarViewModel";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-angular-core";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { TitleSettings } from "./TitleSettings";
import { FinancialChartCustomIndicatorArgs } from "./FinancialChartCustomIndicatorArgs";
import { FinancialChartTypePicker } from "./FinancialChartTypePicker";
import { FinancialChartIndicatorMenu } from "./FinancialChartIndicatorMenu";
import { TrendLineType } from "igniteui-angular-core";
import { FinancialChartToolbarVisualData } from "./FinancialChartToolbarVisualData";
import { FinancialChartRangeSelectorViewModel } from "./FinancialChartRangeSelectorViewModel";
import { FinancialChartRangeSelectorVisualData } from "./FinancialChartRangeSelectorVisualData";
/**
 * @hidden
 */
export declare class FinancialChart extends XYChart {
    static $t: Type;
    protected i1(a: string, b: any, c: any): void;
    private yq;
    private yp;
    private ym;
    private yy;
    private ss;
    provideGrid(a: DomWrapper): void;
    onDocumentClick(a: Event): void;
    private va;
    private u8;
    private u5;
    private u7;
    private u9;
    private u6;
    getContext(): FinancialChartContext;
    provideContainer(a: any): void;
    private y9;
    private zn;
    private x6;
    private zl;
    setGridRows(): void;
    protected ic(): void;
    private y5;
    private y6;
    private zf;
    private x5;
    private yw;
    protected h9(a: XamDataChart): void;
    private zq;
    private zt;
    private zr;
    private zs;
    us(): number;
    il(source_: any, a: number, b: any): void;
    im(source_: any, a: number, b: any): void;
    ik(source_: any): void;
    ip(source_: any, a: number, b: any, c: any): void;
    protected ig(a: Series, b: number): void;
    private ry;
    private get rz();
    private set rz(value);
    private vs;
    get vz(): any;
    set vz(a: any);
    private vt;
    get v0(): any;
    set v0(a: any);
    private vp;
    get vw(): any;
    set vw(a: any);
    private vu;
    get v1(): any;
    set v1(a: any);
    private vv;
    get v2(): any;
    set v2(a: any);
    private vq;
    get vx(): any;
    set vx(a: any);
    private vr;
    get vy(): any;
    set vy(a: any);
    private tg;
    get th(): IZoomSlider;
    set th(a: IZoomSlider);
    protected get_dw(): number;
    protected set_dw(a: number): void;
    protected get_cd(): boolean;
    protected set_cd(a: boolean): void;
    private ul;
    get uw(): number;
    set uw(a: number);
    constructor();
    protected ka(): Axis;
    protected kb(): Axis;
    onAttachedToUI(): void;
    onDetachedFromUI(): void;
    protected ab(a: DataSeries): DataSeriesType;
    protected get_cv(): List$1<DataSeriesType>;
    protected get cv(): List$1<DataSeriesType>;
    protected get_cu(): List$1<IDataSeriesAdapterRule>;
    protected get cu(): List$1<IDataSeriesAdapterRule>;
    private rl;
    private sz;
    private rk;
    protected hw(): void;
    protected hu(a: Series, b: number): void;
    protected jf(a: DataSeries): void;
    protected ji(): void;
    private r3;
    private r2;
    private sc;
    private r5;
    private wb;
    private rm;
    private s0;
    private s6;
    private s7;
    private s5;
    private s8;
    private get tn();
    private sm;
    private get sn();
    private get tq();
    private sk;
    private get sl();
    private get to();
    private so;
    private get sp();
    private get tp();
    private st;
    private get su();
    protected a3(a: DataSeries, b: DataSeriesType): Series;
    protected jh(): void;
    protected ph(a: (arg1: Axis) => void, b: string): void;
    protected pl(a: (arg1: Axis) => void, b: boolean): void;
    protected pj(a: (arg1: TitleSettings) => void): void;
    protected pn(a: (arg1: TitleSettings) => void): void;
    protected pm(a: (arg1: AxisLabelSettings) => void): void;
    protected pi(a: (arg1: AxisLabelSettings) => void): void;
    protected h8(a: XamDataChart): void;
    private static vn;
    private v3;
    private w5;
    private yg;
    private x2;
    private x3;
    private x8;
    private yb;
    private x9;
    private ya;
    private yc;
    private vh;
    protected h2(a: (arg1: Series, arg2: number) => void): void;
    private tc;
    private get volumeChart();
    private set volumeChart(value);
    private y0;
    private tr;
    private tv;
    private ts;
    private tu;
    private yz;
    private s9;
    private tb;
    private zh;
    es(): any;
    v8(): string;
    private ta;
    private zg;
    private t0;
    private ze;
    protected h5(): void;
    protected get_ci(): boolean;
    protected get t4(): boolean;
    private zm;
    private y1;
    protected iu(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    private ye;
    private za;
    private get t3();
    private yf;
    private tw;
    private y4;
    private yj;
    private yo;
    private yn;
    private yh;
    private yi;
    private ys;
    private yv;
    private yt;
    private x4;
    private y8;
    private zk;
    private yk;
    private zi;
    private tz;
    private yr;
    private yd;
    private zc;
    private zb;
    private y3;
    private yl;
    private t5;
    private zj;
    private x7;
    private zd;
    protected jm(a: Series, b: Series, c: DataSeries): void;
    private wa;
    protected pc(a: Axis): void;
    protected pe(a: Axis): void;
    private yu;
    protected id(a: Series, b: number): void;
    protected iz(a: string, b: any, c: any): void;
    private tm;
    get t2(): boolean;
    set t2(a: boolean);
    private vg;
    get vo(): number;
    set vo(a: number);
    private un;
    get u0(): number;
    set u0(a: number);
    private up;
    get u2(): number;
    set u2(a: number);
    private uo;
    get u1(): number;
    set u1(a: number);
    private uq;
    get u3(): number;
    set u3(a: number);
    get uz(): number;
    get uy(): number;
    private r4;
    get r6(): FinancialChartVolumeType;
    set r6(a: FinancialChartVolumeType);
    private r7;
    get r8(): FinancialChartXAxisMode;
    set r8(a: FinancialChartXAxisMode);
    private r9;
    get sa(): FinancialChartYAxisMode;
    set sa(a: FinancialChartYAxisMode);
    private tj;
    get tx(): boolean;
    set tx(a: boolean);
    private r0;
    get r1(): FinancialChartType;
    set r1(a: FinancialChartType);
    protected get_pt(): HorizontalAlignment;
    protected set_pt(a: HorizontalAlignment): void;
    private tk;
    get ty(): boolean;
    set ty(a: boolean);
    private se;
    get sf(): FinancialIndicatorTypeCollection;
    set sf(a: FinancialIndicatorTypeCollection);
    private sg;
    get sh(): FinancialOverlayTypeCollection;
    set sh(a: FinancialOverlayTypeCollection);
    private t7;
    private get indicatorCharts();
    private set indicatorCharts(value);
    private tl;
    get t1(): boolean;
    set t1(a: boolean);
    protected get_d3(): number;
    protected set_d3(a: number): void;
    protected get_kh(): AxisLabelsLocation;
    protected set_kh(a: AxisLabelsLocation): void;
    private td;
    get zoomSliderChart(): XamDataChart;
    set zoomSliderChart(a: XamDataChart);
    private sy;
    private get zoomSliderAxis();
    private set zoomSliderAxis(value);
    private rj;
    private get zoomSliderXAxis();
    private set zoomSliderXAxis(value);
    private sb;
    get sd(): FinancialChartZoomSliderType;
    set sd(a: FinancialChartZoomSliderType);
    private q2;
    get ra(): BrushCollection;
    set ra(a: BrushCollection);
    private q3;
    get rb(): BrushCollection;
    set rb(a: BrushCollection);
    private q4;
    get rc(): BrushCollection;
    set rc(a: BrushCollection);
    private q5;
    get rd(): BrushCollection;
    set rd(a: BrushCollection);
    private q7;
    get rf(): BrushCollection;
    set rf(a: BrushCollection);
    private q6;
    get re(): BrushCollection;
    set re(a: BrushCollection);
    private q1;
    get q9(): BrushCollection;
    set q9(a: BrushCollection);
    private q0;
    get q8(): BrushCollection;
    set q8(a: BrushCollection);
    private um;
    get ux(): number;
    set ux(a: number);
    private uk;
    get uv(): number;
    set uv(a: number);
    private uj;
    get uu(): number;
    set uu(a: number);
    private sq;
    get sr(): IndicatorDisplayTypeCollection;
    set sr(a: IndicatorDisplayTypeCollection);
    private vc;
    get vj(): number;
    set vj(a: number);
    private ui;
    get ut(): number;
    set ut(a: number);
    private vf;
    get vm(): number;
    set vm(a: number);
    private vd;
    get vk(): number;
    set vk(a: number);
    private vb;
    get vi(): number;
    set vi(a: number);
    private ve;
    get vl(): number;
    set vl(a: number);
    private rv;
    get rx(): FinancialChartRangeSelectorOptionCollection;
    set rx(a: FinancialChartRangeSelectorOptionCollection);
    rw: FinancialChartRangeSelectorOptionCollection;
    private rr;
    get customIndicatorNames(): CustomIndicatorNameCollection;
    set customIndicatorNames(a: CustomIndicatorNameCollection);
    applyCustomIndicators: (sender: any, e: FinancialChartCustomIndicatorArgs) => void;
    protected get_cj(): boolean;
    protected set_cj(a: boolean): void;
    private zo;
    get zp(): Brush;
    set zp(a: Brush);
    private ur;
    get u4(): number;
    set u4(a: number);
    private ti;
    get tt(): boolean;
    set tt(a: boolean);
    private si;
    get sj(): IChartLegend;
    set sj(a: IChartLegend);
    private ri;
    private get xAxis();
    private set xAxis(value);
    private sx;
    private get yAxis();
    private set yAxis(value);
    private sw;
    private get volumeAxis();
    private set volumeAxis(value);
    private rh;
    private get volumeXAxis();
    private set volumeXAxis(value);
    private sv;
    private get indicatorAxis();
    private set indicatorAxis(value);
    private rg;
    private get indicatorXAxis();
    private set indicatorXAxis(value);
    private t6;
    private get t9();
    private set t9(value);
    private t8;
    private get ub();
    private set ub(value);
    private uf;
    get uh(): Date;
    set uh(a: Date);
    private ue;
    get ug(): Date;
    set ug(a: Date);
    private uc;
    get xAxisBreaks(): ObservableCollection$1<any>;
}
/**
 * @hidden
 */
export declare class FinancialChartToolbar extends TemplatedHtmlControl {
    static $t: Type;
    bg(a: DomWrapper): void;
    bl(a: Event): void;
    private o;
    constructor(a: FinancialChart, b: any);
    private r;
    get s(): FinancialChartRangeSelector;
    set s(a: FinancialChartRangeSelector);
    private z;
    get aa(): FinancialChartTypePicker;
    set aa(a: FinancialChartTypePicker);
    private p;
    get q(): FinancialChartIndicatorMenu;
    set q(a: FinancialChartIndicatorMenu);
    private bm;
    private bh;
    private bi;
    private bj;
    w: FinancialChartToolbarViewModel;
    v(): FinancialChartToolbarContext;
    l(a: any): void;
    private bk;
    private aq;
    get au(): Date;
    set au(a: Date);
    private ap;
    get at(): Date;
    set at(a: Date);
    private ao;
    get as(): Date;
    set as(a: Date);
    private an;
    get ar(): Date;
    set ar(a: Date);
    rangeChanged: (sender: any, e: EventArgs) => void;
    chartTypeChanged: (sender: any, e: EventArgs) => void;
    trendLineTypeChanged: (sender: any, e: EventArgs) => void;
    volumeTypeChanged: (sender: any, e: EventArgs) => void;
    indicatorTypesChanged: (sender: any, e: EventArgs) => void;
    overlayTypesChanged: (sender: any, e: EventArgs) => void;
    bn(): void;
    private x;
    get y(): FinancialChartType;
    set y(a: FinancialChartType);
    private ah;
    get ai(): TrendLineType;
    set ai(a: TrendLineType);
    private ab;
    get ac(): FinancialChartVolumeType;
    set ac(a: FinancialChartVolumeType);
    private ad;
    get ae(): FinancialIndicatorTypeCollection;
    set ae(a: FinancialIndicatorTypeCollection);
    private af;
    get ag(): FinancialOverlayTypeCollection;
    set ag(a: FinancialOverlayTypeCollection);
    static am(a: IList, b: IList): boolean;
    aj(): FinancialChartToolbarVisualData;
    private t;
    get u(): FinancialChartRangeSelectorOptionCollection;
    set u(a: FinancialChartRangeSelectorOptionCollection);
    private ak;
    get al(): boolean;
    set al(a: boolean);
}
/**
 * @hidden
 */
export declare class FinancialChartRangeSelector extends TemplatedHtmlControl {
    static $t: Type;
    private static x;
    q: FinancialChartRangeSelectorViewModel;
    get v(): Date;
    set v(a: Date);
    get u(): Date;
    set u(a: Date);
    get t(): Date;
    set t(a: Date);
    get s(): Date;
    set s(a: Date);
    ab(): void;
    constructor(a: any);
    l(a: any): void;
    private z;
    rangeChanged: (sender: any, e: EventArgs) => void;
    r(): FinancialChartRangeSelectorVisualData;
    get o(): FinancialChartRangeSelectorOptionCollection;
    set o(a: FinancialChartRangeSelectorOptionCollection);
    private aa;
    private p;
}
